#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from bleu import compute_bleu

reference = 'Hey James , what are you going to do today ?'

system_generated = ['Hi James , what are you planning to do today ?',
                    'Hi James , do you already have any plans for today ?',
                    'to do today ? Hey James , what are you going']

print('Reference: {}'.format(reference))

for i, sys in enumerate(system_generated):
    print()
    print('System {}: {}'.format(i + 1, sys))
    print('BLEU score: {}'.format(compute_bleu([[reference]], [sys])[0]))
